%define module_version 0.14
%define module_name POE-Component-IRC-Plugin-WWW-Vim-Tips
# BEGIN SourceDeps(oneline):
BuildRequires: perl(HTML/TreeBuilder/XPath.pm) perl(LWP/Simple.pm) perl(Module/Build/Tiny.pm) perl(POE/Component/IRC/Plugin.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.14
Release: alt1
Summary: IRC plugin to fetch Vim tips
Group: Development/Perl
License: perl
URL: https://github.com/aggrolite/POE-Component-IRC-Plugin-WWW-Vim-Tips

Source0: http://cpan.org.ua/authors/id/C/CU/CURTIS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
type !vimtip or !vimtips to get a random Vim tip, currenly fetched from http://twitter.com/vimtips

here is a cool one-liner if you just want the Vim tip:

    perl -Ilib -MPOE::Component::IRC::Plugin::WWW::Vim::Tips
         -le 'print POE::Component::IRC::Plugin::WWW::Vim::Tips->new->_get_vim_tip'


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_privlib/P*

%changelog
* Thu Mar 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- initial import by package builder

